/*
 * Copyright 2010 Arne Vajhj.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.model;

/**
 * Class ModelRuntimeException encapsulates unchecked exceptions related to model code.
 */
public class ModelRuntimeException extends RuntimeException {
	private static final long serialVersionUID = 1L;
    /**
     * Construct instance of ModelRuntimeException.
     * @param msg exception message
     */
	public ModelRuntimeException(String msg) {
		super(msg);
	}
    /**
     * Construct instance of ModelRuntimeException.
     * @param msg exception message
     * @param t chained exception
     */
	public ModelRuntimeException(String msg, Throwable t) {
		super(msg, t);
	}
}
