/*
 * Copyright 2010 Arne Vajhj.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.model;

import java.io.Serializable;

/**
 * Class NameValuePair contains a name value pair.
 */
public class NameValuePair implements Serializable {
	private static final long serialVersionUID = 1L;
	private String name;
	private String value;
	/**
	 * Create instance of NameValePair with name="" and value="".
	 */
	public NameValuePair() {
		this("", "");
	}
	/**
     * Create instance of NameValePair.
	 * @param name name
	 * @param value value
	 */
	public NameValuePair(String name, String value) {
		this.name = name;
		this.value = value;
	}
	/**
	 * Get name.
	 * @return name
	 */
	public String getName() {
		return name;
	}
	/**
	 * Set name.
	 * @param name name
	 */
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * Get value.
	 * @return value
	 */
	public String getValue() {
		return value;
	}
	/**
	 * Set value.
	 * @param value value
	 */
	public void setValue(String value) {
		this.value = value;
	}
}
