/*
 * Copyright 2011 Arne Vajhj.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.model.app;

import javax.swing.plaf.ColorUIResource;
import javax.swing.plaf.metal.DefaultMetalTheme;

/**
 * Class LookAndFeel contains information about a simplified Metal look and feel theme.
 */
public class AppMetalTheme extends DefaultMetalTheme {
    @Override
    public String getName(){ 
        return "Customizable";
    }
    // menu and scroll bar borders
    @Override
    protected ColorUIResource getPrimary1() { 
        return new ColorUIResource(AppMetalThemeData.getInstance().getBorder());
    }
    // marked menu and scroll bars
    @Override
    protected ColorUIResource getPrimary2() { 
        return new ColorUIResource(AppMetalThemeData.getInstance().getMarked());
    }
    // marked background on scroll bares
    @Override
    protected ColorUIResource getPrimary3() { 
        return new ColorUIResource(AppMetalThemeData.getInstance().getMarked());
    }
    // panel borders
    @Override
    protected ColorUIResource getSecondary1() { 
        return new ColorUIResource(AppMetalThemeData.getInstance().getBorder());
    }
    // menu and scroll bar borders
    @Override
    protected ColorUIResource getSecondary2() { 
        return new ColorUIResource(AppMetalThemeData.getInstance().getBorder());
    }
    // menu and scoll bar background
    @Override
    protected ColorUIResource getSecondary3() { 
        return new ColorUIResource(AppMetalThemeData.getInstance().getBackground());
    }
}
