/*
 * Copyright 2011 Arne Vajhj.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.model.app;

import dk.vajhoej.model.core.ExtModel;
import dk.vajhoej.model.core.ModelFilter;

/**
 * Class HideHardwareDetailsFilter hides information about CPU, memory and disk.
 */
public class HideHardwareDetailsFilter implements DisplayFilter {
    public Data filter(Data d) {
        Data res = new Data(d.getPersist(),
                            d.getLaf(),
                            d.getWidth(),
                            d.getHeight(),
                            d.getConfig().clone(),
                            d.getBoxPalette(),
                            d.getComponentPalette(),
                            d.getConnectionPalette(),
                            d.getShowPalette(),
                            new ExtModel(ModelFilter.hideHardware(d.getModel().getReal()),
                                         d.getModel().getLocations(),
                                         d.getModel().getDimX(),
                                         d.getModel().getDimY()));
        return res;
    }
    public String getName() {
        return "Hide hardware details";
    }
}
