/*
 * Copyright 2010 Arne Vajhj.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.model.graphic.adv;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

/**
 * Class HelpPanel contains the necessary functionality to
 * display help.
 */
public class HelpPanel extends JDialog {
	private static final long serialVersionUID = 1L;
	/**
	 * Create instance of HelpPanel.
	 * @param parent parent frame
	 */
	public HelpPanel(JFrame parent) {
		super(parent, "Help", true);
		setLayout(new BorderLayout());
		JTextArea txt = new JTextArea();
		try {
            BufferedReader br = new BufferedReader(new InputStreamReader(this.getClass().getResourceAsStream("/help.txt")));
            String line;
            while((line = br.readLine()) != null) {
                txt.append(line + "\r\n");
            }
            br.close();
        } catch (IOException ex) {
            txt.setText("Problem reading help");
        }
		add(new JScrollPane(txt), BorderLayout.CENTER);
		JButton ext = new JButton("Exit");
		ext.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				HelpPanel.this.dispose();
			}
		});
		add(ext, BorderLayout.SOUTH);
		pack();
	}
}
