/*
 * Copyright 2010 Arne Vajhj.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.model.graphic.adv;

import java.awt.datatransfer.DataFlavor;
import java.awt.datatransfer.Transferable;
import java.awt.datatransfer.UnsupportedFlavorException;
import java.io.IOException;

/**
 * Class ModelTransferable is needed for Swing copy paste / drop and drag.
 */
public class ModelTransferable implements Transferable {
	private Object obj;
	/**
	 * Create instance of ModelTransferable.
	 * @param obj object to transfer
	 */
	public ModelTransferable(Object obj) {
		this.obj = obj;
	}
	public Object getTransferData(DataFlavor flavor) throws UnsupportedFlavorException, IOException {
		return obj;
	}
	public DataFlavor[] getTransferDataFlavors() {
		return new DataFlavor[] { new ModelFlavor() };
	}
	public boolean isDataFlavorSupported(DataFlavor flavor) {
		return flavor instanceof ModelFlavor;
	}
}
