/*
 * Copyright 2010 Arne Vajhj.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.model.graphic.base;

import dk.vajhoej.model.graphic.config.GraphicConfig;

/**
 * Class ConnectionPaletteGraphic is the graphic object for a palette of connections.
 */
public class ConnectionPaletteGraphic extends PaletteGraphic {
	private static final long serialVersionUID = 1L;
    /**
     * Create instance of ConnectionPaletteGraphic with dynamic size.
     * @param cfg graphic configuration
     * @param nchild number children
     * @param lbl label
     * @param show show palette
     */
	public ConnectionPaletteGraphic(GraphicConfig cfg, int nchild, String lbl, boolean show) {
		super(cfg, nchild, lbl, show, GraphicLayout.HORIZONTAL);
	}
    /**
     * Create instance of ConnectionPaletteGraphic with fixed size.
     * @param cfg graphic configuration
     * @param w width
     * @param h height
     * @param nchild number children
     * @param lbl label
     * @param show show palette
     */
	public ConnectionPaletteGraphic(GraphicConfig cfg, int w, int h, int nchild, String lbl, boolean show) {
		super(cfg, w, h, nchild, lbl, show, GraphicLayout.HORIZONTAL);
	}
}
