/*
 * Copyright 2010 Arne Vajhj.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.model.graphic.base;

/**
 * Enum GraphicLayout specifies the layout.
 * <br>
 * Semantics:
 * <table border="yes">
 * <tr>
 * <th>enum value</th>
 * <th>description</th>
 * </tr>
 * <tr>
 * <td>SQUARE</td>
 * <td>Dynamic layout in square</td>
 * </tr>
 * <tr>
 * <td>SUPER_QUARE</td>
 * <td>Static layout in fixed size square</td>
 * </tr>
 * <tr>
 * <td>VERTICAL</td>
 * <td>Dynamic layout in a vertical stripe</td>
 * </tr>
 * <tr>
 * <td>HORIZONTAL</td>
 * <td>Dynamic layout in horizontal stripe</td>
 * </tr>
 * </table>
 */
 public enum GraphicLayout {
	SQUARE,
	SUPER_SQUARE,
	VERTICAL,
	HORIZONTAL
}
