/*
 * Copyright 2010 Arne Vajhj.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.model.graphic.base;

/**
 * Class SuperSquare keeps track of the dimensions of the super square.
 */
public class SuperSquare {
	private static SuperSquare instance;
	private int dimX;
	private int dimY;
	private SuperSquare() {
		dimX = 0;
		dimY = 0;
	}
	/**
	 * Get instance of SuperSquare.
	 * @return instance
	 */
	public static synchronized SuperSquare getInstance() {
		if(instance == null) {
			instance = new SuperSquare();
		}
		return instance;
	}
	/**
	 * Get width.
	 * @return width
	 */
	public int getDimX() {
		return dimX;
	}
    /**
     * Set width.
     * @param dimX width
     */
    public void setDimX(int dimX) {
        this.dimX = dimX;
    }
	/**
	 * Get height
	 * @return height
	 */
	public int getDimY() {
		return dimY;
	}
	/**
	 * Set height.
	 * @param dimY height
	 */
	public void setDimY(int dimY) {
		this.dimY = dimY;
	}
}
