/*
 * Copyright 2010 Arne Vajhj.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.model.test;

import java.awt.Color;
import java.awt.Font;
import java.awt.GridLayout;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.SwingUtilities;

import dk.vajhoej.model.core.BoxType;
import dk.vajhoej.model.graphic.base.BoxGraphic;
import dk.vajhoej.model.graphic.base.GraphicLayout;
import dk.vajhoej.model.graphic.base.ModelGraphic;
import dk.vajhoej.model.graphic.config.GraphicConfig;

public class Test extends JFrame {
	private static final long serialVersionUID = 1L;
	public Test() {
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        getContentPane().setLayout(new GridLayout(1,1));
        setTitle("Test");
        GraphicConfig cfg = new GraphicConfig(10, 2, new Font("Arial", Font.PLAIN, 18), Color.BLACK, Color.BLACK, new Color(255, 255, 205));
        ModelGraphic m = new ModelGraphic(cfg, 450, 350, 4, "Test", GraphicLayout.SQUARE);
        m.add(new BoxGraphic(cfg, 220, 170, 0, "B1", null, BoxType.SINGLE_SYS));
        m.add(new BoxGraphic(cfg, 220, 170, 0, "B2", null, BoxType.SINGLE_SYS));
        m.add(new BoxGraphic(cfg, 220, 170, 0, "B3", null, BoxType.SINGLE_SYS));
        GraphicConfig cfg2 = new GraphicConfig(10, 2, new Font("Arial", Font.PLAIN, 12), Color.BLACK, Color.BLACK, Color.YELLOW);
        JPanel b = new BoxGraphic(cfg, 220, 170, 4, "B4", null, BoxType.SINGLE_SYS);
        b.add(new BoxGraphic(cfg2, 100, 75, 0, "B4a", null, BoxType.SINGLE_SYS));
        b.add(new BoxGraphic(cfg2, 100, 75, 0, "B4b", null, BoxType.SINGLE_SYS));
        b.add(new BoxGraphic(cfg2, 100, 75, 0, "B4c", null, BoxType.SINGLE_SYS));
        b.add(new BoxGraphic(cfg2, 100, 75, 0, "B4d", null, BoxType.SINGLE_SYS));
        m.add(b);
        m.autoSize();
        getContentPane().add(m);
        pack();

	}
    public static void main(String[] args) {
        SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                JFrame f = new Test();
                f.setVisible(true);
            }
        });
    }
}
