/*
 * Copyright 2010 Arne Vajhj.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.model.test;

import javax.swing.JFrame;
import javax.swing.SwingUtilities;

import dk.vajhoej.model.app.Application;
import dk.vajhoej.model.app.Data;
import dk.vajhoej.model.persist.XmlPersister;

public class Test3 {
    public static void main(String[] args) {
        SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                Data data = new Data(new XmlPersister(),
                                     Helper.createLaf(),
                                     1024,
                                     768,
                		             Helper.createConfig(),
   		             				 Helper.createBoxPalettes(),
   		             				 Helper.createComponentPalettes(),
   		             				 Helper.createConnectionPalettes(),
   		             				 Helper.createShow(),
   		             				 Helper.createExtModel());
                JFrame f = new Application(data);
                f.setVisible(true);
            }
        });
    }
}
